summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Aleksandar Samardzic <asamardzic@matf.bg.ac.yu>2010-05-11 20:01:00 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:00 +0200
commit56b916f1bc0ab75c0d919d5e888c5bb3f29e0e69 (patch)
treeab241088ef5890ca140641efcdef11a9338b3877 /libraries
parent928c45769997ccd651e2d92b1003031f711ec2ea (diff)
downloadslackbuilds-56b916f1bc0ab75c0d919d5e888c5bb3f29e0e69.tar.gz
slackbuilds-56b916f1bc0ab75c0d919d5e888c5bb3f29e0e69.tar.xz
libraries/pyqt4: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/pyqt4/README9
-rw-r--r--libraries/pyqt4/pyqt4.SlackBuild56
-rw-r--r--libraries/pyqt4/pyqt4.info8
-rw-r--r--libraries/pyqt4/slack-desc19
4 files changed, 92 insertions, 0 deletions
diff --git a/libraries/pyqt4/README b/libraries/pyqt4/README
new file mode 100644
index 0000000000..96bd63b0f2
--- /dev/null
+++ b/libraries/pyqt4/README
@@ -0,0 +1,9 @@
+PyQt is the binding of the GUI toolkit Qt.
+
+PyQt is developed by the British firm Riverbank Computing. It is
+available under similar terms as Qt, this means variety of licenses
+including GPL and commercial license. PyQt supports Linux and other
+flavours of Unix, as well as Mac OS X and Microsoft Windows.
+
+This package contains bindings for version 4 of Qt toolkit, and thus
+requires both qt4 and sip from SlackBuilds.org.
diff --git a/libraries/pyqt4/pyqt4.SlackBuild b/libraries/pyqt4/pyqt4.SlackBuild
new file mode 100644
index 0000000000..2826f5bf5c
--- /dev/null
+++ b/libraries/pyqt4/pyqt4.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for PyQt
+
+# Written by Aleksandar B. Samardzic <asamardzic@matf.bg.ac.yu>
+
+NAME=pyqt4
+VERSION=4.3.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$NAME}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $NAME-$VERSION
+tar xvf $CWD/PyQt-x11-gpl-$VERSION.tar.gz
+cd PyQt-x11-gpl-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+echo "yes" | python configure.py -q \
+ /usr/bin/qmake-qt4 \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS"
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a ChangeLog LICENSE NEWS README THANKS doc/* $PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/pyqt4/pyqt4.info b/libraries/pyqt4/pyqt4.info
new file mode 100644
index 0000000000..27cf5889a9
--- /dev/null
+++ b/libraries/pyqt4/pyqt4.info
@@ -0,0 +1,8 @@
+PRGNAM="pyqt4"
+VERSION="4.3.3"
+HOMEPAGE="http://www.riverbankcomputing.co.uk/pyqt/"
+DOWNLOAD="http://www.riverbankcomputing.com/Downloads/PyQt4/GPL/PyQt-x11-gpl-4.3.3.tar.gz"
+MD5SUM="a2ead359f57d84c24bdd10de387e80b4"
+MAINTAINER="Aleksandar B. Samardzic"
+EMAIL="asamardzic@matf.bg.ac.yu"
+APPROVED="rworkman"
diff --git a/libraries/pyqt4/slack-desc b/libraries/pyqt4/slack-desc
new file mode 100644
index 0000000000..040d5d8efe
--- /dev/null
+++ b/libraries/pyqt4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pyqt4: PyQt (Python binding for Qt)
+pyqt4:
+pyqt4: PyQt is a set of Python bindings for Trolltech's Qt application
+pyqt4: framework and runs on all platforms supported by Qt including
+pyqt4: Windows, MacOS/X and Linux. This package contains bindings for
+pyqt4: Qt v4.
+pyqt4:
+pyqt4: PyQt home page is http://www.riverbankcomputing.co.uk/pyqt/
+pyqt4:
+pyqt4:
+pyqt4: